close all
clear all
clc

tic
totmat = zeros(10,14);

%%  Direction = 270

disp('--------------------------------------')
disp('Processing direction = 270');

%   Read from several api-results in subfolders

cd('ULS270Run/analysis');
elemmat = [];
count = 1;
for i = 1:3
    for j = 9:9:360
        foldername = ['OR=',num2str(i),'.00_SE=',num2str(j),'.00'];
        cd(foldername);
        file = fopen('fort.88');
        for k = 1:10
            line = fgetl(file);
        end
        for m = 1:10
            line2 = fgetl(file);
            dummy = textscan(line2,'%f');
            dummy2 = [dummy{:,1}];
            element = dummy2(1);
            if element >= 1000
                line2 = fgetl(file);
                dummy = textscan(line2,'%f');
            end
            dummy2 = [dummy{:,1}];
            element = dummy2(1);
            utiliza = dummy2(2);
            elemmat(count,1) = element;
            elemmat(count,2) = utiliza;
            count = count+1;
        end
        fclose(file);
        cd('../');
    end
end
cd('../../');

sorted = sortrows(unique(elemmat,'rows'),2);
[a,b] = size(sorted);
cutoff = sorted(a-9:a,:);
totmat(:,1:2) = cutoff;

disp('Finished with direction = 270');

%%  Direction = 285

disp('--------------------------------------')
disp('Processing direction = 285');

%   Read from several api-results in subfolders

cd('ULS285Run/analysis');
elemmat = [];
count = 1;
for i = 1:3
    for j = 9:9:360
        foldername = ['OR=',num2str(i),'.00_SE=',num2str(j),'.00'];
        cd(foldername);
        file = fopen('fort.88');
        for k = 1:10
            line = fgetl(file);
        end
        for m = 1:10
            line2 = fgetl(file);
            dummy = textscan(line2,'%f');
            dummy2 = [dummy{:,1}];
            element = dummy2(1);
            if element >= 1000
                line2 = fgetl(file);
                dummy = textscan(line2,'%f');
            end
            dummy2 = [dummy{:,1}];
            element = dummy2(1);
            utiliza = dummy2(2);
            elemmat(count,1) = element;
            elemmat(count,2) = utiliza;
            count = count+1;
        end
        fclose(file);
        cd('../');
    end
end
cd('../../');

sorted = sortrows(unique(elemmat,'rows'),2);
[a,b] = size(sorted);
cutoff = sorted(a-9:a,:);
totmat(:,3:4) = cutoff;

disp('Finished with direction = 285');

%%  Direction = 300

disp('--------------------------------------')
disp('Processing direction = 300');

%   Read from several api-results in subfolders

cd('ULS300Run/analysis');
elemmat = [];
count = 1;
for i = 1:3
    for j = 9:9:360
        foldername = ['OR=',num2str(i),'.00_SE=',num2str(j),'.00'];
        cd(foldername);
        file = fopen('fort.88');
        for k = 1:10
            line = fgetl(file);
        end
        for m = 1:10
            line2 = fgetl(file);
            dummy = textscan(line2,'%f');
            dummy2 = [dummy{:,1}];
            element = dummy2(1);
            if element >= 1000
                line2 = fgetl(file);
                dummy = textscan(line2,'%f');
            end
            dummy2 = [dummy{:,1}];
            element = dummy2(1);
            utiliza = dummy2(2);
            elemmat(count,1) = element;
            elemmat(count,2) = utiliza;
            count = count+1;
        end
        fclose(file);
        cd('../');
    end
end
cd('../../');

sorted = sortrows(unique(elemmat,'rows'),2);
[a,b] = size(sorted);
cutoff = sorted(a-9:a,:);
totmat(:,5:6) = cutoff;

disp('Finished with direction = 300');

%%  Direction = 315

disp('--------------------------------------')
disp('Processing direction = 315');

%   Read from several api-results in subfolders

cd('ULS315Run/analysis');
elemmat = [];
count = 1;
for i = 1:3
    for j = 9:9:360
        foldername = ['OR=',num2str(i),'.00_SE=',num2str(j),'.00'];
        cd(foldername);
        file = fopen('fort.88');
        for k = 1:10
            line = fgetl(file);
        end
        for m = 1:10
            line2 = fgetl(file);
            dummy = textscan(line2,'%f');
            dummy2 = [dummy{:,1}];
            element = dummy2(1);
            if element >= 1000
                line2 = fgetl(file);
                dummy = textscan(line2,'%f');
            end
            dummy2 = [dummy{:,1}];
            element = dummy2(1);
            utiliza = dummy2(2);
            elemmat(count,1) = element;
            elemmat(count,2) = utiliza;
            count = count+1;
        end
        fclose(file);
        cd('../');
    end
end
cd('../../');

sorted = sortrows(unique(elemmat,'rows'),2);
[a,b] = size(sorted);
cutoff = sorted(a-9:a,:);
totmat(:,7:8) = cutoff;

disp('Finished with direction = 315');

%%  Direction = 330

disp('--------------------------------------')
disp('Processing direction = 330');

%   Read from several api-results in subfolders

cd('ULS330Run/analysis');
elemmat = [];
count = 1;
for i = 1:3
    for j = 9:9:360
        foldername = ['OR=',num2str(i),'.00_SE=',num2str(j),'.00'];
        cd(foldername);
        file = fopen('fort.88');
        for k = 1:10
            line = fgetl(file);
        end
        for m = 1:10
            line2 = fgetl(file);
            dummy = textscan(line2,'%f');
            dummy2 = [dummy{:,1}];
            element = dummy2(1);
            if element >= 1000
                line2 = fgetl(file);
                dummy = textscan(line2,'%f');
            end
            dummy2 = [dummy{:,1}];
            element = dummy2(1);
            utiliza = dummy2(2);
            elemmat(count,1) = element;
            elemmat(count,2) = utiliza;
            count = count+1;
        end
        fclose(file);
        cd('../');
    end
end
cd('../../');

sorted = sortrows(unique(elemmat,'rows'),2);
[a,b] = size(sorted);
cutoff = sorted(a-9:a,:);
totmat(:,9:10) = cutoff;

disp('Finished with direction = 330');

%%  Direction = 345

disp('--------------------------------------')
disp('Processing direction = 345');

%   Read from several api-results in subfolders

cd('ULS345Run/analysis');
elemmat = [];
count = 1;
for i = 1:3
    for j = 9:9:360
        foldername = ['OR=',num2str(i),'.00_SE=',num2str(j),'.00'];
        cd(foldername);
        file = fopen('fort.88');
        for k = 1:10
            line = fgetl(file);
        end
        for m = 1:10
            line2 = fgetl(file);
            dummy = textscan(line2,'%f');
            dummy2 = [dummy{:,1}];
            element = dummy2(1);
            if element >= 1000
                line2 = fgetl(file);
                dummy = textscan(line2,'%f');
            end
            dummy2 = [dummy{:,1}];
            element = dummy2(1);
            utiliza = dummy2(2);
            elemmat(count,1) = element;
            elemmat(count,2) = utiliza;
            count = count+1;
        end
        fclose(file);
        cd('../');
    end
end
cd('../../');

sorted = sortrows(unique(elemmat,'rows'),2);
[a,b] = size(sorted);
cutoff = sorted(a-9:a,:);
totmat(:,11:12) = cutoff;

disp('Finished with direction = 345');

%%  Direction = 360

disp('--------------------------------------')
disp('Processing direction = 360');

%   Read from several api-results in subfolders

cd('ULS360Run/analysis');
elemmat = [];
count = 1;
for i = 1:3
    for j = 9:9:360
        foldername = ['OR=',num2str(i),'.00_SE=',num2str(j),'.00'];
        cd(foldername);
        file = fopen('fort.88');
        for k = 1:10
            line = fgetl(file);
        end
        for m = 1:10
            line2 = fgetl(file);
            dummy = textscan(line2,'%f');
            dummy2 = [dummy{:,1}];
            element = dummy2(1);
            if element >= 1000
                line2 = fgetl(file);
                dummy = textscan(line2,'%f');
            end
            dummy2 = [dummy{:,1}];
            element = dummy2(1);
            utiliza = dummy2(2);
            elemmat(count,1) = element;
            elemmat(count,2) = utiliza;
            count = count+1;
        end
        fclose(file);
        cd('../');
    end
end
cd('../../');

sorted = sortrows(unique(elemmat,'rows'),2);
[a,b] = size(sorted);
cutoff = sorted(a-9:a,:);
totmat(:,13:14) = cutoff;

disp('Finished with direction = 360');

%%  Write to file

file = fopen('elemlist','w');
fprintf(file,'%10s %10s %10s %10s %10s %10s %10s %10s %10s %10s %10s %10s %10s %10s\n','270ELEM','270UTIL','285ELEM','285UTIL','300ELEM','300UTIL','315ELEM','315UTIL','330ELEM','330UTIL','345ELEM','345UTIL','360ELEM','360UTIL');
for i = 10:-1:1
    fprintf(file,'%10d %10.2f %10d %10.2f %10d %10.2f %10d %10.2f %10d %10.2f %10d %10.2f %10d %10.2f\n',totmat(i,:));
end
fclose(file);

elemlist = zeros(70,1);
elemlist(1:10) = totmat(:,1);
elemlist(11:20) = totmat(:,3);
elemlist(21:30) = totmat(:,5);
elemlist(31:40) = totmat(:,7);
elemlist(41:50) = totmat(:,9);
elemlist(51:60) = totmat(:,11);
elemlist(61:70) = totmat(:,13);
uniquelist = unique(elemlist);

file = fopen('uniqueelements','w');
fprintf(file,'%10s\n','ELEMENT');
for i = 1:length(uniquelist)
    fprintf(file,'%10d\n',uniquelist(i));
end
fclose(file);

%%

disp('--------------------------------------')
toc